Name:           manaworld
Version:        0.5.2
Release:        2%{?dist}
Summary:        2D MMORPG world

Group:          Amusements/Games
License:        GPLv2+
URL:            http://themanaworld.org
Source0:        http://downloads.sourceforge.net/themanaworld/The%20Mana%20World/%{version}/tmw-%{version}.tar.bz2
Patch0:         manaworld-removeflagoverride.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       dejavu-sans-fonts
BuildRequires:  guichan-devel >= 0.8.1 desktop-file-utils physfs-devel
BuildRequires:  curl-devel libxml2-devel libpng-devel
BuildRequires:  SDL_image-devel SDL_mixer-devel SDL_net-devel SDL_ttf-devel
BuildRequires:  SDL_gfx-devel gzip cmake gettext

%description
The Mana World (TMW) is a serious effort to create an innovative free and open
source MMORPG. TMW uses 2D graphics and aims to create a large and diverse
interactive world.

%prep
%setup -q -c -n tmw-%{version}
%patch0 -p0


%build
%cmake

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
        --vendor fedora \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
        --delete-original \
        --remove-category=Application \
        --add-category=RolePlaying \
        $RPM_BUILD_ROOT%{_datadir}/applications/mana.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/mana.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
rmdir $RPM_BUILD_ROOT%{_datadir}/pixmaps

# Use system fonts instead of bundled fonts

rm -f $RPM_BUILD_ROOT%{_datadir}/mana/data/fonts/*.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSans.ttf $RPM_BUILD_ROOT%{_datadir}/mana/data/fonts/dejavusans.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSans-Bold.ttf $RPM_BUILD_ROOT%{_datadir}/mana/data/fonts/dejavusans-bold.ttf

mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man6
gzip -c docs/mana.6 > $RPM_BUILD_ROOT%{_datadir}/man/man6/mana.6.gz

%find_lang mana

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f mana.lang
%defattr(-,root,root,-)
%{_bindir}/mana
%{_datadir}/mana
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_mandir}/man6/*.gz
%doc AUTHORS COPYING NEWS README docs/*.txt



%changelog
* Fri Jun 03 2011 Bruno Wolff III <bruno@wolff.to> - 0.5.2-2
- Remove override of compiler flags so that rpm's get used.

* Fri May 27 2011 Bruno Wolff III <bruno@wolff.to> - 0.5.2-1
- Update to upstream 0.5.2
- Deal with tarball extracting to current directory
- Switch from autotools to cmake
- sans-bold is now needed in addition to sans
- tmw changed to mana for program name and data directory

* Fri May 27 2011 Bruno Wolff III <bruno@wolff.to> - 0.0.29.1-5
- Rebuild for guichan soname bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.29.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Hans de Goede <hdegoede@redhat.com> 0.0.29.1-2
- Fix compiling with gcc 4.5 (#631455)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.29.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 5 2009 Wart <wart@kobold.org> 0.0.29.1-1
- Update to 0.0.29.1

* Tue May 5 2009 Wart <wart@kobold.org> 0.0.28.1-1
- Update to 0.0.28.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Wart <wart@kobold.org> 0.0.28-1
- Update to 0.0.28

* Mon Dec 15 2008 Wart <wart@kobold.org> 0.0.27-1
- Update to 0.0.27

* Wed Jul 30 2008 Wart <wart@kobold.org> 0.0.25-1
- Update to 0.0.25

* Mon May 26 2008 Wart <wart@kobold.org> 0.0.24.1-1
- Update to 0.0.24.1 (fixes BZ #448341)

* Fri Apr 4 2008 Wart <wart@kobold.org> 0.0.24-1
- Update to 0.0.24 (fixes BZ #240664)

* Wed Feb 13 2008 Wart <wart@kobold.org> 0.0.23-2
- Rebuild for gcc 4.3

* Sun Aug 19 2007 Wart <wart@kobold.org> 0.0.23-1
- Update to 0.0.23
- License tag clarification

* Sun Apr 8 2007 Wart <wart@kobold.org> 0.0.22.2-1
- Update to 0.0.22.2
- Update desktop file categories
- Update icon cache update scriptlets

* Thu Jan 11 2007 Wart <wart@kobold.org> 0.0.22-1
- Update to 0.0.22

* Wed Dec 13 2006 Wart <wart@kobold.org> 0.0.21.1-2
- Add opengl support

* Tue Oct 31 2006 Wart <wart@kobold.org> 0.0.21.1-1
- Update to 0.0.21.1

* Tue Oct 31 2006 Wart <wart@kobold.org> 0.0.21-2
- Rebuild for curl .so name change

* Sat Oct 14 2006 Wart <wart@kobold.org> 0.0.21-1
- Update to 0.0.21

* Fri Sep 1 2006 Wart <wart@kobold.org> 0.0.20-2
- Rebuild for Fedora Extras

* Thu Jul 27 2006 Wart <wart@kobold.org> 0.0.20-1
- Update to 0.0.20

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.0.19-1
- Initial release for Fedora
